import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GigaChatLogoLight from './GigaChatLogoLight';
import GigaChatLogoDark from './GigaChatLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GigaChatLogoSvg = forwardRef(function GigaChatLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GigaChatLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GigaChatLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GigaChatLogoSvg;
